> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Code-Scan-Profil abrufen (Devin API)

> Rufen Sie über die v3-Organisations-API ein einzelnes Devin-Code-Scan-Profil mit Modus, Scan-Typ, Include-/Exclude-Globs und Hinweisen ab

<div id="permissions">
  ## Berechtigungen
</div>

Erfordert einen [Service-Benutzer](/de/api-reference/v3/service-users/members-service-users) oder ein [Personal Access Token](/de/api-reference/personal-access-tokens) mit der Berechtigung `ViewCodeScans` auf Organisationsebene.

<div id="behavior">
  ## Verhalten
</div>

Gibt die Metadaten des Profils, seine Sichtbarkeit (organisationsintern oder kontoweit freigegeben), Include-/Exclude-Globs sowie alle Leitlinienfelder (für Untersuchung, Kommunikation und Ingestion-Quellen) zurück. Profil-IDs finden Sie unter [Code-Scan-Profile auflisten](/de/api-reference/v3/code-scans/organizations-code-scans-profiles).

Gibt `404` zurück, wenn das Profil nicht existiert oder für die Organisation nicht sichtbar ist.


## OpenAPI

````yaml de/v3-openapi.yaml GET /v3/organizations/{org_id}/code-scans/profiles/{profile_id}
openapi: 3.1.0
info:
  description: Devin v3 API mit Service-User-Authentifizierung und RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/code-scans/profiles/{profile_id}:
    get:
      tags:
        - code-scans
      summary: Code-Scan-Profil abrufen
      description: >-
        Ein Code-Scan-Profil per ID abrufen.


        Gibt die Metadaten des Profils, die Sichtbarkeit (organisationsintern
        oder kontoweit freigegeben) und alle Hinweisfelder zurück. Gibt ``404``
        zurück, wenn das Profil nicht existiert oder für die Organisation nicht
        sichtbar ist.
      operationId: >-
        handle_get_code_scan_profile_v3_organizations__org_id__code_scans_profiles__profile_id__get
      parameters:
        - in: path
          name: profile_id
          required: true
          schema:
            title: Profile Id
            type: string
        - description: 'Organisations-ID (Präfix: org-)'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CodeScanProfileDetailResponse'
          description: Erfolgreiche Antwort
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Nicht autorisiert
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Verboten
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Nicht gefunden
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Konflikt
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Nicht verarbeitbarer Inhalt
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Zu viele Anfragen
components:
  schemas:
    CodeScanProfileDetailResponse:
      description: >-
        Vollständige Details eines Code-Scan-Profils, einschließlich seiner
        Hinweise.
      properties:
        communication_guidance:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Gegebenenfalls Hinweise für die Kommunikationsphase (Maßnahmen zu
            finalen Befunden, z. B. Benachrichtigung von Verantwortlichen oder
            Stakeholdern).
          title: Communication Guidance
        created_at:
          description: Zeitpunkt, zu dem das Profil erstellt wurde (Unix-Sekunden).
          title: Created At
          type: integer
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Beschreibung des Profils, falls vorhanden.
          title: Description
        exclude_globs:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            Glob-Muster für Dateien, die vom Scan ausgeschlossen werden sollen,
            falls vorhanden.
          title: Exclude Globs
        include_globs:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            Glob-Muster für Dateien, die in den Scan einbezogen werden sollen,
            falls vorhanden.
          title: Include Globs
        ingestion_source_guidance:
          anyOf:
            - type: string
            - type: 'null'
          description: Hinweise zur Ingestionsquelle, falls vorhanden.
          title: Ingestion Source Guidance
        investigation_guidance:
          anyOf:
            - type: string
            - type: 'null'
          description: Hinweise für die Untersuchungsphase, falls vorhanden.
          title: Investigation Guidance
        mode:
          description: 'Profilmodus: discover oder ingest.'
          enum:
            - discover
            - ingest
          title: Mode
          type: string
        name:
          description: Name des Profils.
          title: Name
          type: string
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Organisation, der das Profil gehört. Null, wenn das Profil kontoweit
            freigegeben ist.
          title: Org Id
        post_ingestion_guidance:
          anyOf:
            - type: string
            - type: 'null'
          description: Hinweise für die Phase nach der Ingestion, falls vorhanden.
          title: Post Ingestion Guidance
        profile_id:
          description: Eindeutige Kennung des Profils.
          title: Profile Id
          type: string
        remediation_guidance:
          anyOf:
            - type: string
            - type: 'null'
          description: Hinweise für die Fehlerbehebungsphase, falls vorhanden.
          title: Remediation Guidance
        report_guidance:
          anyOf:
            - type: string
            - type: 'null'
          description: Hinweise für die Berichtsphase, falls vorhanden.
          title: Report Guidance
        scan_type:
          description: Typ des Scans, den das Profil konfiguriert.
          enum:
            - security
            - performance
            - db-queries
            - test-coverage
            - dead-code
            - code-quality
            - telemetry
            - accessibility
            - general
            - migration-docs
          title: Scan Type
          type: string
        threat_model_guidance:
          anyOf:
            - type: string
            - type: 'null'
          description: Hinweise zum Bedrohungsmodell, falls vorhanden.
          title: Threat Model Guidance
        triage_guidance:
          anyOf:
            - type: string
            - type: 'null'
          description: Hinweise für die Triage-Phase, falls vorhanden.
          title: Triage Guidance
        validation_guidance:
          anyOf:
            - type: string
            - type: 'null'
          description: Hinweise für die Validierungsphase, falls vorhanden.
          title: Validation Guidance
        visibility:
          description: >-
            Gibt an, ob das Profil einer einzelnen Organisation gehört oder im
            gesamten Account geteilt wird.
          enum:
            - org
            - account
          title: Visibility
          type: string
      required:
        - profile_id
        - name
        - description
        - visibility
        - org_id
        - scan_type
        - mode
        - include_globs
        - exclude_globs
        - threat_model_guidance
        - investigation_guidance
        - triage_guidance
        - validation_guidance
        - report_guidance
        - remediation_guidance
        - ingestion_source_guidance
        - post_ingestion_guidance
        - created_at
      title: CodeScanProfileDetailResponse
      type: object
    ProblemDetail:
      description: >-
        RFC 9457 application/problem+json-Fehlertext für die v3-API.


        detail wird aus dem Legacy-Body {"detail": ...} aus Gründen der
        Abwärtskompatibilität beibehalten; die

        anderen Member sind additiv. errors enthält Validierungsfehler auf
        Feldebene

        (nur 422).
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: Eine menschenlesbare Erklärung, die speziell für diesen Fall gilt.
          title: Detail
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: Validierungsfehler auf Feldebene (nur bei 422-Antworten).
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: Eine URI-Referenz (der Anfragepfad) für diesen Fall.
          title: Instance
        status:
          description: Der HTTP-Statuscode.
          title: Status
          type: integer
        title:
          description: Eine kurze, menschenlesbare Zusammenfassung des Problemtyps.
          title: Title
          type: string
        type:
          default: about:blank
          description: Eine URI-Referenz, die den Problemtyp identifiziert.
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Servicebenutzer-Anmeldedaten (Präfix: cog_)'
      scheme: bearer
      type: http

````